utility class to record all the selections within the provenance graph for a specific idtype

### Hierarchy

- SelectionTypeRecorder

## Index

### Constructors

- constructor

### Methods

- destroy
- disable
- enable

## Constructors

### constructor

- new SelectionTypeRecorder(idtype: IDType, graph: ProvenanceGraph, type?: string, options?: any): SelectionTypeRecorder

- - Defined in selection.ts:103

  #### Parameters

  - ##### idtype: IDType

  - ##### graph: ProvenanceGraph

  - ##### Optional type: string

  - ##### Default value options: any = {}

  #### Returns SelectionTypeRecorder

## Methods

### destroy

- destroy(): void

- - Defined in selection.ts:141

  #### Returns void

### disable

- disable(): void

- - Defined in selection.ts:121

  #### Returns void

### enable

- enable(): void

- - Defined in selection.ts:131

  #### Returns void

Generated using TypeDoc